Bug 36499 - Installer hangs when loading cardbus pci adapter
Installer hangs when loading cardbus pci adapter
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
7.1
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-18 11:22 EDT by Richard A. Kelley, Jr.
Modified: 2015-01-04 17:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-25 21:53:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard A. Kelley, Jr. 2001-04-18 11:22:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-22smp i686)


Regardless of the install method used, the system locked while
"Initializing PC Card Devices."  I am installing on an Enpower 801.

Alt-F3
* in start Pcmcia()
* found cardbus pci adapter
* need to load yenta_socket
* going to insmod pcmcia_core.o (path is NULL)
* going to insmod yenta_socket.o (path is NULL)    -- this is where it
hangs

Alt-F4
<6> Linux PCMCIA Card Services 3.1.22
<6>   options: [pci] [cardbus]                                -- this is
where it hangs

This problem did not exist with the 7.0 installation.

Reproducible: Always
Steps to Reproduce:
1.Choose any install method
2.
3.
	

Actual Results:  Hangs during "Initializing PC Card Devices"

Expected Results:  The installation should not have locked and continued
with further hardware detection.

The hang occurs the same way regardless of the presence of pcmcia cards.
Comment 1 Brent Fox 2001-04-18 12:08:43 EDT
This appears to be a kernel bug.  Changing component to kernel.
Comment 2 Arjan van de Ven 2001-04-18 12:12:04 EDT
Can you do a "lspci -v" on the 7.0 system ?
Comment 3 Richard A. Kelley, Jr. 2001-04-18 12:41:22 EDT
lspci -v
00:00.0 Host bridge: Intel Corporation 430TX - 82439TX MTXC (rev 01)
        Flags: bus master, medium devsel, latency 32

00:01.0 Bridge: Intel Corporation 82371AB PIIX4 ISA (rev 01)
        Flags: bus master, medium devsel, latency 0

00:01.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01) (prog-if 80
[Master])
        Flags: bus master, medium devsel, latency 64
        I/O ports at fcd0

00:01.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01) (prog-if 00
[UHCI])
        Flags: medium devsel, IRQ 11
        I/O ports at fce0

00:01.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 01)
        Flags: medium devsel

00:06.0 VGA compatible controller: Chips and Technologies F65555 HiQVPro (rev
c6) (prog-if 00 [VGA])
        Subsystem: Chips and Technologies F65555 HiQVPro
        Flags: stepping, medium devsel
        Memory at fd000000 (32-bit, non-prefetchable)

00:07.0 CardBus bridge: Texas Instruments PCI1131 (rev 01)
        Flags: bus master, medium devsel, latency 168, IRQ 10
        Memory at <ignored> (32-bit, non-prefetchable)
        Bus: primary=00, secondary=20, subordinate=22, sec-latency=176
        I/O window 0: 00000000-00000003
        I/O window 1: 00000000-00000003
        16-bit legacy interface ports at 0001

00:07.1 CardBus bridge: Texas Instruments PCI1131 (rev 01)
        Flags: bus master, medium devsel, latency 168, IRQ 10
        Memory at <ignored> (32-bit, non-prefetchable)
        Bus: primary=00, secondary=23, subordinate=25, sec-latency=176
        I/O window 0: 00000000-00000003
        I/O window 1: 00000000-00000003
        16-bit legacy interface ports at 0001

Note: this is with a 3Com 3CCFE574BT inserted (not that it should affect the
output).

Comment 4 Dave Jones 2004-10-25 21:53:00 EDT
hopefully fixed in current releases, please reopen if reproducable with
Fedora/RHEL.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.